Bug 836824 - LiveCd: livecd-iso-to-disk: 1) --extra-kernel-args has no effect 2) manual addition of live_ram option at boot causes boot to exit to debug shell
LiveCd: livecd-iso-to-disk: 1) --extra-kernel-args has no effect 2) manual ad...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: LiveCD (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-01 15:10 EDT by livecdlife
Modified: 2013-08-01 00:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:09:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description livecdlife 2012-07-01 15:10:30 EDT
Description of problem:
1) When "burning" the iso file produced by livecd-creator to the usb disk, the option --extra-kernel-args has no effect. I generally add live_ram and nomodeset. The resulting line arguments in the target usb disk in syslinux/configuration file remain the same i.e. "initrd=initrd0.img root=live:UUID=... rootfstype=ext4 ro liveimg quiet rhgb rd.luks=0 rd.md=0 rd.dm=0"
2) When booting the obtained usb stick, typing "tab" button to modify kernel arguments and adding the "live_ram" in the line of parameters. The sytem continues to boot usually i.e. copying image to RAM (this may take a few minutes). But then

Version-Release number of selected component (if applicable):
Livecd-tools 17.11


How reproducible:
With Fedora 17 I've generated 5 different iso files from different configurations (Gnome, Kde, custom, minimal). Tried to "burn" the iso to usb stick and to one esata harddisk with same effect above.


Steps to Reproduce (problem 1):
1. Use the option --extra-kernel-args with livecd-iso-to-disk script
2. 
3.
  
Actual results (problem 1):


Expected results (problem 1):
Presence of "live_ram" in the kernel arguments

Steps to Reproduce (problem 2):
1. Press Tab at boot
2. Type "live_ram" in the kernel args
3. Continue boot
  
Actual results (problem 2, sorry typing the results from notes):
udevd[330 <or 336 or 338>]: inotify_add_watch(6, /dev/sda1,10): failed: no such file or directory
dracut warning: unable to process the initqueue
dracut warning: /dev/disk/by-uuid/... does not exist



Expected results (problem 2):
Smooth boot

Additional info:

Just a note. I work exclusively with livecds environments since roughly 5-7 years and live_ram is one of central features that makes me choose the platform. Some time is consumed setting up the system as needed, but then it allows to use the fast OS operation in memory and wear out the usb/esata storage only when real data is saved.

Great thanks for this tool!! Just in case if you have ideas how to acceleration operation even more (no compression of filesystem?) do not hesitate to mention. Thanks a lot for your help.
Comment 1 livecdlife 2012-07-01 15:15:43 EDT
> 2) When booting the obtained usb stick, typing "tab" button to modify kernel
> arguments and adding the "live_ram" in the line of parameters. The sytem
> continues to boot usually i.e. copying image to RAM (this may take a few
> minutes). But then
the boot process exits to the debug shell with messages shown below.
Comment 2 livecdlife 2012-07-08 10:30:23 EDT
Hello,

The problem 1) was solved by changing the livecd-iso-to-disk script. Actually, in several places changing initrd.img to initrd0.img solved the problem and "--extra-kernel-arguments" works now.

The problem 2) corresponds to the fact that adding live_ram does not allow mounting of persistent home and will be filed as a separate bug.

Best
Comment 3 Fedora End Of Life 2013-07-03 20:26:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 00:09:14 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.